using Core.Abstractions;
using SixLabors.Fonts;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ImageProvider.Fonts {
  public class FontStylesEnum : Enumeration {

    public FontStyle FontStyle { get; private set; }

    public static FontStylesEnum Regular = new(0, "Regular", FontStyle.Regular);
    public static FontStylesEnum Bold = new(0, "Bold", FontStyle.Bold);
    public static FontStylesEnum Italic = new(0, "Italic", FontStyle.Italic);
    public static FontStylesEnum BoldItalic = new(0, "BoldItalic", FontStyle.BoldItalic);

    private FontStylesEnum(int id, string displayName, FontStyle fontStyle) : base(id, displayName) {
      FontStyle = fontStyle;
    }
  }
}
